import { AppearanceTypes, useToasts } from 'react-toast-notifications'
import { FC } from 'react'
import { useEffect } from 'react'
export interface ActionProps {
  content: String;
  variant: AppearanceTypes | undefined;
}
const Action: FC<ActionProps> = ({ content, variant }) => {
  const { addToast } = useToasts()
  useEffect(() => {
    addToast(content, {
      appearance: variant,
      autoDismiss: false,
    }
    )
  }, []);
  return (<div></div>)
}
export default Action
